/* @-webkit-keyframes spin{100%{-webkit-transform:rotate(360deg)}}
@-moz-keyframes spin{100%{-moz-transform:rotate(360deg)}}
@keyframes spin{100%{-webkit-transform:rotate(360deg);
-moz-transform:rotate(360deg);
-ms-transform:rotate(360deg);
-o-transform:rotate(360deg);
transform:rotate(360deg)}} */

@font-face{
	font-family: star;
	src:url('fonts/star/star.eot');
	src:url('fonts/star/star.eot?#iefix') format("embedded-opentype"),
		url('fonts/star/star.woff') format("woff"),
		url('fonts/star/star.ttf') format("truetype"),
		url('fonts/star/star.svg#star') format("svg");
	font-weight: 400; font-style: normal;
}
	  
@font-face{
	font-family: WooCommerce;
	src:url(fonts/woocommerce/WooCommerce.eot);
	src:url(fonts/woocommerce/WooCommerce.eot?#iefix) format("embedded-opentype"),
		url(fonts/woocommerce/WooCommerce.woff) format("woff"),
		url(fonts/woocommerce/WooCommerce.ttf) format("truetype"),
		url(fonts/woocommerce/WooCommerce.svg#WooCommerce) format("svg");
	font-weight: 400; font-style: normal;
}

.woocommerce mark {background: none; font-weight: 600;}


/* Архив c товарами */

#wc-panel {
    background: #fff;
    display: -webkit-flex;
    display: flex;
    margin-bottom: 20px;
    justify-content: space-between;
    align-items: center;
    border-radius: 3px;
    /* box-shadow: 1px 1px 6px rgba(0, 0, 0, 0.1); */
    /* border: 1px solid var(--color-line); */
    /* padding: 10px 20px; */
}

@media (max-width: 768px) {  
	#wc-panel {flex-wrap: wrap;}
    .woocommerce-result-count {margin-bottom: 10px;}
}

.term-description {margin-bottom: 15px; display: inline-block;}
img.term-image {display: block;}



/* Подкатегории */

#podcat-list {margin-bottom: 30px;}

.podcat-line a {display: flex; align-items: center; /*box-shadow: 0px 0px 6px rgb(0 0 0 / 10%);*/ border: 1px solid var(--color-line); margin-bottom: 7px; color: inherit; padding: 7px;}
.podcat-line a:hover {margin-left: -15px; margin-right: 15px;}

.podcat-line.podcat-parent a {margin-bottom: 15px;}

.podcat-line a img {width: 15%; margin-right: 5%;}
.podcat-line p {padding-left: 15px;}
.podcat-line i {color: var(--color-1); font-size: 0.8rem;}




/* Вывод товаров */

.products {display: grid; grid-template-columns: repeat(3, 1fr); grid-gap: 20px; margin-bottom: 30px;}

.products .product {
    display: -webkit-flex;
    display: flex;
    min-width: 100%;
    flex-direction: column;
    align-items: center;
    padding-bottom: 20px;
    text-align: center;
    position: relative;
    border: 1px solid #eee;
    border-radius: 10px;
    transition: box-shadow 0.3s ease;
    -o-transition: box-shadow 0.3s;
    -webkit-transition: box-shadow 0.3s ease 0s;
}

/* Количество блоков в шорткодах */

.products.columns-1 {grid-template-columns: repeat(1, 1fr);}
.products.columns-2 {grid-template-columns: repeat(2, 1fr);}
.products.columns-3 {grid-template-columns: repeat(3, 1fr);}
.products.columns-4 {grid-template-columns: repeat(4, 1fr);}
.products.columns-5 {grid-template-columns: repeat(5, 1fr);}
.products.columns-6 {grid-template-columns: repeat(6, 1fr);}


@media (max-width: 992px) {
	.products.columns-5 {grid-template-columns: repeat(4, 1fr);}
}

@media (max-width: 768px) {
	.products.columns-4 {grid-template-columns: repeat(3, 1fr);}
    .products.columns-5 {grid-template-columns: repeat(3, 1fr);}
}



.products .product:hover {/*-webkit-transform: translateY(-4px); transform: translateY(-4px);*/ box-shadow: 0 4px 24px 0 rgba(0,0,0,.12);}


/* Подкатегории в архиве */

/* .product-cats {display: -webkit-flex; display: flex; flex-wrap: wrap; margin-left: -15px; margin-right: -15px;}
.product-cats li {width: 20%; padding-left: 15px; padding-right: 15px; text-align: center; list-style: none; margin-bottom: 30px;}
.product-cats li h3 {font-size: 1rem;}
.product-cats li:hover h3 {color: #01a7e5;} */




/* Внутри плитки */

.products .product > a:first-child {display: flex; flex-direction: column; width: 100%; height: 100%; color: inherit; padding-bottom: 20px;}

.products .product img {display: block; width: 100%; margin-bottom: 20px; border-bottom: 1px solid #eee; border-radius: 10px 10px 0 0;}

.woocommerce-loop-product__title, .woocommerce-loop-category__title {font-size: 1rem; padding: 0 15px; font-weight: 400;}

.products .product .price {margin-top: auto; font-size: 1.2rem;}
.products .product .price .price_empty {font-size: 0.8rem;}

.added_to_cart {display: none;}








/* Цена (общие стили) */

/* .price {white-space: nowrap;} */
.price bdi {white-space: nowrap;}
.price ins {text-decoration: none;}
.product .price del {color: #aaa; padding-right: 10px;}


	

/* Оформление кнопок */   
  
.button {
    padding: 0 20px;
    text-decoration: none !important;
    cursor: pointer;
    border-radius: 50px;
    color: #fff;
    background: var(--color-3);
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    line-height: 40px;
    margin: 0 auto;
}
	
.button:hover {-webkit-filter: brightness(120%); color: #fff !important;}	


/* Виды кнопок */

/* li.instock.purchasable .product_type_simple.button, #place_order, .wc-proceed-to-checkout a, .single_add_to_cart_button {background: #63BD11; border: 1px solid #4CAF50;}
li.instock.purchasable .product_type_simple.button:hover, #place_order:hover, .wc-proceed-to-checkout a:hover, .single_add_to_cart_button:hover {background: #499800;}
li.instock.purchasable .product_type_simple.button:before {content: "\e968"; font-family: "icomoon"; padding-right: 7px;}

li.outofstock .button {background: var(--color-5); border: 1px solid #ff4c4c;}
li.outofstock .button:hover {background: #ff4c4c;}

li.onbackorder .button {background: var(--color-5); border: 1px solid #ff4c4c;}
li.onbackorder .button:hover {background: #ff4c4c;} */

/*.product_type_variable.button {background: var(--color-1); border: 1px solid #2196F3;}
.product_type_variable.button:hover {background: #1f86d8;}*/
		
/*.product_type_variable.button:before {content: "\f013"; font-family: "Font Awesome 5 Free"; font-weight: 600; padding-right: 7px;}*/




/* Лэйблы */

.labels {
    top: 5px;
    left: 0;
    position: absolute;
    z-index: 9;
    font-size: 0.8rem;
    display: flex;
    width: 100%;
    flex-wrap: wrap;
}

.labels > div {
    position: relative;
    background: #5f498b;
    color: #fff;
	box-shadow: 2px 2px 4px rgba(17, 17, 17, 0.5);
    border-radius: 3px 3px 3px 0px;
    min-width: 75px;
	margin: 5px 50% 5px -10px;
    line-height: 20px;
	padding: 2px 5px 1px 10px;
}

.labels > div:before {
    content: '';
    position: absolute;
    bottom: -10px;
    left: 0px;
    border: 10px solid transparent;
    border-bottom: 0;
    border-right: 0;
	border-top-color: #412f65;
}

.labels > .label-onsale {background: yellow; color: inherit;}
.labels > .label-onsale:before {border-top-color: rgb(221,168,0);}

.labels > .label-new {background: limegreen;}
.labels > .label-new:before {border-top-color: rgb(41, 119, 9);}

.labels > .label-onhit {background: #F72F2F;}
.labels > .label-onhit:before {border-top-color: rgb(178, 20, 0);}






/* Карточка товара */

.product[id*='product'] {
    display: grid;
    grid-template-columns: 40% 1fr;
    grid-gap: 30px 100px;
    margin-bottom: 30px;
    position: relative;
    align-items: center;
}

.wc-tabs-wrapper, .similars { grid-area: auto / 1 / auto / 3; }

@media (max-width: 768px) { 
	.product[id*='product'] {grid-template-columns: 1fr 1fr;}
    .woocommerce-product-gallery, .summary.entry-summary {grid-area: auto / 1 / auto / 3;}
}


/* Галерея */

.woocommerce-product-gallery {position: relative;}

.woocommerce-product-gallery__image a img {display: block; margin: 0 auto; width: 100%;}

.flex-control-nav.flex-control-thumbs {display: flex; margin: 30px -15px 0;}
.flex-control-nav.flex-control-thumbs li {list-style: none; padding: 0 15px; width: 20%;}
.flex-control-nav.flex-control-thumbs li img {display: block;}

.woocommerce-product-gallery__trigger {
    position: absolute;
    top: 15px;
    right: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    width: 50px;
    border-radius: 3px;
    z-index: 9;
    border: 1px solid var(--color-line);
    background: var(--color-1);
    font-size: 0;
}

.woocommerce-product-gallery__trigger:before {
    font: normal normal normal 1em/1 "icomoon";
    -moz-osx-font-smoothing: grayscale;
    content: "\eaf6";
    text-indent: 0;
    color: #fff;
    font-size: 1.2rem;
}

.woocommerce-product-gallery__trigger img {display: none !important;}


/* Данные о товаре */

.product_title {font-size: 2rem; margin-bottom: 15px;}

.entry-summary .price {margin-bottom: 30px; font-size: 2rem;}
.entry-summary .price del {font-size: 1.2rem;}	 
.entry-summary .price .price_empty {font-size: 1rem;}

.woocommerce-product-details__short-description {margin-bottom: 30px;}
.woocommerce-product-details__short-description > *:not(:last-child) {margin-bottom: 10px;}

.woocommerce-product-rating {margin-bottom: 15px; display: flex; align-items: center;}
.woocommerce-product-rating a.woocommerce-review-link {margin-left: 10px; color: inherit;}

.sku_wrapper {margin-bottom: 15px; display: inline-block;}

@media (max-width: 567px) { 
	.woocommerce-product-rating {width: 100%;}
	.sku_wrapper {width: 100%; text-align: left; margin-bottom: 15px;}
}


/* Кнопка купить */

form.cart, .woocommerce-variation-add-to-cart.variations_button {display: -webkit-flex; display: flex; flex-wrap: wrap;}

form.cart {margin-bottom: 30px;}


table.variations {margin-bottom: 30px;}

th.label {text-align: left;}
/* td.value {text-align: right;} */
td.value a.reset_variations {margin-left: 15px; font-size: 0.8rem;}

.woocommerce-variation-price ins {display: inline-block;}
.entry-summary .woocommerce-variation-price .amount {font-size: 2rem;}

.single_variation_wrap {width: 100%;}


.woocommerce .product form.cart .quantity {display: -webkit-flex; display: flex; margin-right: 30px;}

.woocommerce .quantity .qty {
	width: 50px;
	text-align: center;
	padding: 0;
	border: 1px solid var(--color-line);
	border-radius: 0;
}

.entry-summary form.cart .button {padding: 0 30px; text-transform: uppercase; margin-left: 0;}

.woocommerce .product .stock {width: 100%; padding: 12px 0 15px 0; color: var(--color-2);}
.woocommerce .product .out-of-stock {color: var(--color-5);}
.woocommerce .product .laststock {
    position: absolute; 
    top: 7px; 
    color: var(--color-5); 
    right: 7px; 
    background: #fff; 
    border-radius: 15px; 
    padding: 3px 0px 3px 7px;
}

.product_meta > span {display: inline-block; width: 100%; margin-bottom: 5px;}
.product_meta i {color: var(--color-1); margin-right: 10px;}


@media (max-width: 992px) { 
	.entry-summary form.cart .quantity {margin: 0 auto 15px;}
	.entry-summary form.cart .button {width: 100%;} 
}

@media (max-width: 567px) { 
	.entry-summary form.cart .quantity {width: 50%; margin: 0;}
	.entry-summary form.cart .button {width: 50%;} 
}




/* Табы */

.wc-tab {
    min-height: 300px;
    padding: 45px 60px 30px;
    /* margin-bottom: 30px; */
    background: #fff;
	border: 1px solid var(--color-line);
}

.woocommerce-tabs ul.tabs {
    position: relative;
    display: -webkit-flex;
    display: flex;
    border: 1px solid var(--color-line);
    border-bottom: none;
}
	  
.woocommerce-tabs ul.tabs li {list-style: none; /*border-bottom: 2px solid rgb(148 225 0 / 25%);*/ background: #fff; width: 25%; border-right: 1px solid var(--color-line);} 

.woocommerce-tabs ul.tabs li:hover {/*border-bottom: 2px solid #94e100;*/ background: var(--color-line);}
.woocommerce-tabs ul.tabs li.active {/*border-bottom: 2px solid #94e100;*/ background: var(--color-1);}

.woocommerce-tabs ul.tabs li a {display: block; padding: .9em 0; color: inherit; text-decoration: none; text-align: center; font-weight: 600;}
.woocommerce-tabs ul.tabs li a:hover {color: inherit !important;}

.wc-tab > h2 {margin-bottom: 30px;}

#short-description p {padding: 10px 0; line-height: 24px;}

@media (max-width: 768px) { .wc-tab {padding: 30px;} }

@media (max-width: 567px) { .woocommerce-tabs ul.tabs {flex-wrap: wrap;} }






/* Вкладка Отзывы */

/* Отзывы */

#comments > * {margin-bottom: 30px;}
#comments .commentlist li {list-style: none; margin: 0 0 15px; position: relative;}

#comments .comment_container {display: flex; align-items: flex-start;}
#comments .comment_container .avatar {padding: 3px; width: 35px; background: #ebe9eb; border: 1px solid #e4e1e3; margin-right: 15px;}
#comments .comment_container .comment-text {border: 1px solid var(--color-line); border-radius: 4px; padding: 1em 1em 0; width: 100%;}

#comments .comment-text .star-rating {float: right;}
#comments .comment-text .meta {color: var(--color-3); font-size: .75em; margin-bottom: 0.75em;}
#comments .comment-text .description p {margin: 0 0 1em;}


/* Форма */

#reply-title {margin-bottom: 30px; display: block; font-size: 1.1rem; font-weight: 600;}

#commentform {display: -webkit-flex; display: flex; flex-direction: column;}
#commentform > p, .comment-form-rating {display: -webkit-flex; display: flex; flex-wrap: wrap; margin-bottom: 15px; order: 10;}
#commentform .comment-notes {display: inline-block; color: var(--color-3); order: 11; font-size: 0.7rem;}

#commentform > p label, .comment-form-rating label {width: 15%;}
#commentform > p input, #commentform > p textarea, .comment-form-rating .stars {width: 40%;}

#commentform .form-submit {order: 11;}
#commentform .form-submit input {cursor: pointer;  width: auto; /*margin-left: 15%;*/ font-size: 1rem; padding: 10px 30px;}

.stars a {position: relative; height: 1em; width: 1em; text-indent: -999em; display: inline-block; text-decoration: none;}
.stars a:before {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 1em;
    height: 1em;
    line-height: 1;
    font-family: WooCommerce;
    text-indent: 0;
}

.stars a:before, .stars a:hover~a:before{content:"\e021"}
.stars.selected a.active:before, .stars:hover a:before{content:"\e020"}
.stars.selected a.active~a:before{content:"\e021"}
.stars.selected a:not(.active):before{content:"\e020"}


@media (max-width: 1200px) { 
	#commentform > p label, .comment-form-rating label {width: 25%;}
    #commentform > p input, #commentform > p textarea, .comment-form-rating .stars {width: 75%;}
}

@media (max-width: 992px) { 
	#commentform > p label, .comment-form-rating label {width: 35%;}
    #commentform > p input, #commentform > p textarea, .comment-form-rating .stars {width: 65%;}
}

@media (max-width: 768px) { 
    #commentform > p label, .comment-form-rating label {width: 100%; margin-bottom: 7px;}
    #commentform > p input, #commentform > p textarea, .comment-form-rating .stars {width: 100%;}  
}

@media (max-width: 567px) { 
    #comments .comment-text .star-rating {float: none; margin-bottom: 0.75em;}
}







/* Вкладка атрибуты */

.shop_attributes {text-align: left; width: 100%; margin-bottom: 15px;}
.shop_attributes tr {border-bottom: 1px dotted #eee;} 
.shop_attributes td {padding: 10px 15px; text-align: right;}
.shop_attributes th {padding: 10px 15px;}




/* Похожие товары */

.similars {padding: 45px 60px 15px; background: #fff; border: 1px solid var(--color-line);}
.similars > h2, .cross-sells > h2 {margin-bottom: 30px;}

@media (max-width: 768px) { 
	.similars {padding: 0; border: none;}
}




/* Pagination */

.woocommerce-pagination ul {display: flex; justify-content: center; margin-bottom: 30px;} 

.woocommerce-pagination ul li {
    list-style: none;
    font-size: 0.9rem;
    text-transform: uppercase;
    text-align: center;
    border: 1px solid #e8e8e8;
    margin-left: -1px;
} 

.woocommerce-pagination ul li > * {display: block; line-height: 42px; min-width: 42px; background: #fff; color: initial;}  
.woocommerce-pagination ul li span.current {background: var(--color-1); color: #fff;}
.woocommerce-pagination ul li a:hover, .woocommerce-pagination ul li a:focus {background: #fff; color: #94e100;}

@media (max-width: 567px) { 
	.woocommerce nav.woocommerce-pagination ul li > * {line-height: 35px; min-width: 35px;}  
}







  
/* Корзина */

.woocommerce-cart-form__contents tbody tr, .woocommerce-cart-form__contents thead tr {display: -webkit-flex; display: flex; align-items: center; justify-content: space-between;}

.woocommerce-cart-form__contents tbody tr {border: 1px solid var(--color-line); border-bottom: none; background: #fff !important;}
.woocommerce-cart-form__contents tbody tr:last-child {border: none; border-top: 1px solid var(--color-line);}

.woocommerce-cart-form__contents thead tr th {order: 10; border: none; font-size: 0.7rem;}
.woocommerce-cart-form__contents tbody tr td {order: 10; border: none; padding: 5px calc(var(--bs-gutter-x) / 2); font-size: 1rem;}

.product-remove {order: 13 !important; flex: 0 0 35px;}
.product-remove a {color: var(--color-4) !important; font-size: 1.4rem; text-decoration: none; font-weight: 200;}
.product-remove a:hover {color: var(--color-5) !important;}

.product-thumbnail {flex: 0 0 80px;}
.product-thumbnail img {border: 1px solid var(--color-line); display: block;}

.woocommerce-cart-form__contents .product-name {flex: 1 0 0%;}
.woocommerce-cart-form__contents .product-name a {color: inherit; text-decoration: none;}
.woocommerce-cart-form__contents .product-name a:hover {text-decoration: underline;}

.product-price {flex: 0 0 110px;}

.product-quantity {flex: 0 0 150px;}
.product-quantity .quantity {display: -webkit-flex; display: flex; /*justify-content: center;*/}
.product-quantity .qty {height: 30px;}
.quantity .screen-reader-text {display: none;}

.product-subtotal {flex: 0 0 120px;}

dl.variation {display: -webkit-flex; display: flex; font-size: 0.8rem; align-items: baseline;}
dl.variation > * {margin-right: 7px;}
dl.variation p {margin-bottom: 0;}
dl.variation dd {font-weight: 600;}

/* #cart-empty, #cart-empty p {margin-bottom: 15px;} */


/* Нумерация строк */

.woocommerce-cart-form {border-collapse: collapse; counter-reset: schetchik;}
.woocommerce-cart-form tbody tr {counter-increment: schetchik;}
.woocommerce-cart-form thead tr:before {flex: 0 0 40px; display: table-cell; vertical-align: middle; text-align: center; font-size: 1rem; visibility: hidden;}
.woocommerce-cart-form tbody tr:before {flex: 0 0 40px; display: table-cell; vertical-align: middle; text-align: center; font-size: 1rem; opacity: 0.2;}
.woocommerce-cart-form tbody tr:last-child:before {display: none;}
.woocommerce-cart-form tbody tr:before, .woocommerce-cart-form thead tr:before, .cart b:after {content: counter(schetchik);}

tr.cupon-block {display: none;}




/* Кнопки, обновление корзины, очистка */

.shop_table.cart .button {background: #ccc; padding: 7px 15px; border: 1px solid #aaa;}
.shop_table.cart .button:hover {background: #aaa;} 

.update_cart, .actions > .button {display: none;}

#clear-cart {float: right; border: 1px solid #ffeb3b; color: inherit !important; border-radius: 3px; margin-bottom: 15px; background: none;}
#clear-cart:hover {background: #ffeb3b;}


/* Блок с купоном */

.woocommerce table.cart td.actions {text-align: right; width: 100%; padding: 0; margin-top: 15px;}

.woocommerce table.cart td.actions .coupon label {font-size: 0.8rem; margin-right: 15px;}

.coupon, .checkout_coupon {
    display: flex;
    background: #f7f7f7;
    text-align: center;
    border-radius: 15px;
    padding: 20px 30px;
}

.checkout_coupon {
    margin-bottom: 30px;
    display: flex;
    flex-wrap: wrap;
}
.checkout_coupon p:not(:first-child) {margin-bottom: 0 !important;}

.woocommerce form .form-row label.checkbox {display: inline}
.woocommerce-billing-fields label {display: none;}
#organisation_field label {display: inline-block; margin-right: 25px; margin-bottom: 25px; padding-left: 5px;}



/* Итого */

.cart_totals {display: flex; flex-wrap: wrap; justify-content: space-between;}

/* .cart_totals table {display: none;} */

.cart-collaterals {width:50%; margin-left: auto;}

.cart_totals .order-total {font-size: 1.5rem; white-space: nowrap;}  
/* .cart_totals .order-total p {text-align: right;} */

.wc-proceed-to-checkout {width: 48%; order: 11; display: block;}
.wc-proceed-to-checkout a {display: block; text-align: center;}

#cont-buy {background: var(--color-1); /*border: 1px solid #2196F3;*/ padding: 7px 15px; width: 48%; text-align: center;}
#cont-buy:hover {background: #0071b3;}

@media (max-width: 800px) { 
	td.product-thumbnail, th.product-thumbnail {width: 10%; max-width: 75px;}
	.product-number, .woocommerce-cart-form tbody tr:before {display: none !important;}	
	.cart-collaterals {width: 100%} 
}

@media (max-width: 480px) {
	.form-row.place-order .button, .cart_totals .button {width: 100%; margin-bottom: 15px;}
	.product-price, .product-thumbnail, .product-remove {display: none !important;}
	td.product-name, th.product-name {width: 50%;}
	td.product-quantity, th.product-quantity {width: 27%;}	
	th.product-subtotal, td.product-subtotal {width: 23%;}
	.woocommerce-cart #post-content {padding: 30px 0 15px 0;}
	.woocommerce-cart-form td {padding: 10px 7px;}
	.cart-collaterals {width:100%;} 
	.coupon {width:100%; display: flex; justify-content: space-between;}
	.coupon > * {width: 48%;}
	.woocommerce table.cart td.actions .coupon label {display: none;}
}

@media (max-width: 320px) {
	td.product-name, th.product-name {width: 42%;}
	td.product-quantity, th.product-quantity {width: 32%;}	
	th.product-subtotal, td.product-subtotal {width: 26%;}
}


	  

/* Оформление заказа */

form.checkout.woocommerce-checkout {display: flex; justify-content: space-between; flex-wrap: wrap;}

#customer_details {
    padding: 30px 30px 15px;
    border: 1px solid var(--color-line);
    position: sticky;
    top: 100px;
    align-self: flex-start;
    width: calc(50% - 15px);
}

#customer_details .col-1, #customer_details .col-2 {flex: unset; width: auto;}

.woocommerce-account-fields {display: inline-block;}


/* Детали оплаты */

.woocommerce form .form-row select {width:100%}

.woocommerce-billing-fields__field-wrapper, 
.woocommerce-shipping-fields__field-wrapper,
.woocommerce-organisation-fields__field-wrapper {display: -webkit-flex; display: flex; flex-wrap: wrap; justify-content: space-between;}

.woocommerce form .form-row-first, .woocommerce form .form-row-last {width: 47%;}

.woocommerce form .form-row-wide {width: 100%;}

#shipping_postcode_field {order: 10;}
#shipping_state_field {order: 20;}
#shipping_city_field {order: 30;}
#shipping_address_1_field {order: 40;}
#shipping_address_2_field {order: 50;}

.woocommerce-checkout .form-row input.input-text,
.woocommerce-checkout .form-row textarea {width: 100%; outline: 0;}

.woocommerce-invalid-required-field input {border: 1px solid var(--color-5) !important;}

.validate-required.woocommerce-validated input {border: 1px solid var(--color-1) !important;}


/* Комментарий */

.woocommerce-shipping-fields {width: 100%;}
.shipping_address label, #order_comments_field label, #ship-to-different-address {display: none;}
#order_comments {min-width: 380px; width: 100%; min-height: 120px; max-height: 300px;}
#order_comments_field label {display: block; font-weight: 600; margin-bottom: 7px;}



/* Ваш заказ (таблица с товаром) */

form.checkout.woocommerce-checkout > #order_review_heading {display: none;}

#order_review {width: calc(50% - 15px); border: 1px solid #eee; padding: 30px; background: var(--color-3); color: #fff;}

table.shop_table.woocommerce-checkout-review-order-table tr {background: none; border-bottom: 1px dashed var(--color-6);}
table.shop_table.woocommerce-checkout-review-order-table td {border: none; padding: 5px 0;}

table.shop_table.woocommerce-checkout-review-order-table td.product-name {width: 100%;}
table.shop_table.woocommerce-checkout-review-order-table td.product-total {min-width: 120px; text-align: right;}

table.shop_table.woocommerce-checkout-review-order-table tr.cart-subtotal td, 
table.shop_table.woocommerce-checkout-review-order-table tr.cart-subtotal th {text-align: right;}

table.shop_table.woocommerce-checkout-review-order-table .order-total td {font-size: 1.4rem; text-align: right; min-width: 165px;}

tr.cart-subtotal > * {padding-bottom: 30px;}



/* Выбор способа доставки */

small.total-weight {margin-bottom: 15px; display: inline-block;}

.shipping th {display: none;}
table.shop_table.woocommerce-checkout-review-order-table .shipping td {border: 1px dashed var(--color-6); padding: 15px 30px 7px !important;}

#shipping_method li, #payment ul.payment_methods li {list-style: none; margin-bottom: 20px; display: inline-block;}
#shipping_method li label {margin-left: 7px;}
#shipping_method li label .amount {font-weight: 600; white-space: nowrap;}

tr.order-total th {text-align: right;}


/* Выбор способа оплаты, Согласие  */

.woocommerce-checkout .wc_payment_methods {border: 1px dashed var(--color-6); padding: 15px 30px 7px; margin-bottom: 30px;}

.woocommerce-checkout #payment div.payment_box:before {
    content: "";
    display: block;
    border: 1em solid var(--color-2);
    border-right-color: transparent;
    border-left-color: transparent;
    border-top-color: transparent;
    position: absolute;
    top: -.75em;
    left: 0;
    margin: -1em 0 0 2em;
}

.payment_box {
    position: relative;
	display: inline-block;
    width: 100%;
    padding: 15px 20px 0 20px;
    margin-top: 15px;
    font-size: 0.8rem;
    border-radius: 2px;
    background: var(--color-2);
    color: #fff;
}

.woocommerce-terms-and-conditions-wrapper {font-size: 0.8rem; margin-bottom: 30px;}
.woocommerce-terms-and-conditions-wrapper a {color: #fff;}

button#place_order {font-size: 1.2rem; display: block; margin: 0 auto 15px; width: auto;}


	
@media (max-width: 1280px) { 
	#customer_details {position: relative; top: 0; width: 100%; margin-bottom: 30px; padding: 30px 60px 15px;}
	#order_review {width: 100%; padding: 30px 60px;}
}

@media (max-width: 480px) { 
	
	#customer_details {padding: 30px 30px 15px;}
	#order_review {padding: 30px;}
	
	.woocommerce form .form-row-first, .woocommerce form .form-row-last {width: 100%;} 
	form.checkout .col2-set {width: 100%;}
	#order_review, #order_review_heading {width: 100%;}
	table.shop_table.woocommerce-checkout-review-order-table .order-total td {min-width: 120px; font-size: 1.3rem;}	
	
	.shipping td {border: none !important;}
	.shipping td {padding: 15px 15px 0 15px !important;}	
	
	.woocommerce-checkout .wc_payment_methods {padding: 15px 15px 0; border: none; font-size: 0.9rem;}
}


@media (max-width: 380px) { #order_comments {min-width: 100%;} }


@media (max-width: 330px) {
	#customer_details {padding: 15px 0; border: none; margin-bottom: 0;} 
	.shipping_address {margin-bottom: 0;}
}





/* Заказ принят! */

.woocommerce-order-received .woocommerce-order {
    max-width: 650px;
    margin: 0 auto;
    background: #fffef8;
    padding: 45px 60px;
    box-shadow: 1px 1px 6px #00000030;
}

p.woocommerce-thankyou-order-received {
    color: #4CAF50;
    font-size: 2rem;
    border: 1px solid #94e100;
    padding: 15px;
    margin-bottom: 15px;
    text-align: center;
    border-radius: 3px;
}  

ul.woocommerce-thankyou-order-details {margin-bottom: 30px;}

ul.woocommerce-thankyou-order-details li {list-style: none;}
  

@media (max-width: 800px) { .woocommerce-order-received .woocommerce-order {max-width: 100%;} }
@media (max-width: 480px) { .woocommerce-order-received .woocommerce-order {padding: 30px;} }  
@media (max-width: 375px) { .woocommerce-order-received .woocommerce-order {padding: 0 15px; background: none; box-shadow: none;} } 








/* Рейтинги */

.star-rating:before {content: "\73\73\73\73\73"; color: #FFC107; float: left; top: 0; left: 0; position: absolute;}
.star-rating span {overflow: hidden; top: 0; left: 0; position: absolute; padding-top: 1.5em; color: #FFC107;}
.star-rating span:before {content: "\53\53\53\53\53"; top: 0; position: absolute; left: 0;}
.star-rating {overflow: hidden; position: relative; height: 1em; line-height: 1; width: 5.4em; font-family: star;}
.products .product .star-rating {font-size: 1.0em; margin: 5px auto; margin-bottom: 10px; float: none;}
.rating-empty:before {color: whitesmoke !important;}








/* Мой аккаунт */

/* Навигация */

.woocommerce-account .woocommerce-MyAccount-navigation ul {display: flex; margin: 0 -15px 30px;}
.woocommerce-MyAccount-navigation li {display: block; padding: 0 15px;}

.woocommerce-MyAccount-navigation li a {
    text-decoration: none;
    color: #fff !important;
	padding: 10px;
	background: var(--color-3);
    border-radius: 4px;
    display: block;
	text-align: center;	
}

.woocommerce-MyAccount-navigation li a:hover {background: var(--color-4);}

.woocommerce-MyAccount-navigation-link.is-active a, 
.woocommerce-MyAccount-navigation-link.is-active a:hover {background: var(--color-1); color: inherit !important; cursor: default;}



/* Список заказов */

td.woocommerce-orders-table__cell-order-actions {display: flex; justify-content: flex-end;}

.woocommerce-orders-table__cell-order-actions > a {margin-left: 7px;}
.woocommerce-orders-table__cell-order-actions a.woocommerce-button.button.pay {background: #63BD11;}
.woocommerce-orders-table__cell-order-actions a.woocommerce-button.button.pay:hover {background: #499800;}
.woocommerce-orders-table__cell-order-actions a.woocommerce-button.button.cancel {background: #FF5722;}
.woocommerce-orders-table__cell-order-actions a.woocommerce-button.button.cancel:hover {background: #ef4712;}

@media (max-width: 567px) { .woocommerce-account .woocommerce-MyAccount-navigation ul {flex-wrap: wrap;} }





/* Адреса */

.addresses .title {font-size: unset;}



/* Детали */

.woocommerce-EditAccountForm.edit-account p {display: flex;flex-wrap: wrap; text-align: left; align-items: center;}
.woocommerce-EditAccountForm.edit-account p label {flex: 0 0 315px; font-size: 1rem; color: var(--color-3); padding-right: 30px; line-height: 1rem;}
.woocommerce-EditAccountForm.edit-account p span {margin-top: 7px; font-size: 0.9rem; color: #999;}
.woocommerce-EditAccountForm.edit-account > p > span {width: 100%;}

.woocommerce-EditAccountForm.edit-account fieldset {border: none;}
.woocommerce-EditAccountForm.edit-account fieldset legend {margin-bottom: 15px; font-weight: 600;}





/* Авторизация/Регистрация */

#customer_login {width: 100%;}

.u-columns {display: flex; flex-wrap: wrap;}
.u-column1.col-1 {width: 50%; flex: unset;}
.u-column2.col-2 {width: 50%; flex: unset;}

.login input, .register input {margin-bottom: 15px;}


.woocommerce-password-strength {padding: 5px 10px; border-radius: 3px; margin-bottom: 15px;}

.woocommerce-password-strength.short {background: #F44336;}
.woocommerce-password-strength.bad {background: #FF9800;}
.woocommerce-password-strength.good {background: #FFEB3B;}
.woocommerce-password-strength.strong {background: #8BC34A;}

.woocommerce-password-hint {margin-bottom: 15px;}









/* Сообщения woocommerce */

.woocommerce-info, .woocommerce-message {
    padding: 15px;
    margin-bottom: 30px;
    text-align: center;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 3px;
    border: 1px solid #eee;
    -o-transition: opacity 0.9s;
    transition: opacity 0.9s ease;
    -webkit-transition: opacity 0.9s ease 0s;
}

.woocommerce-message {border: 1px solid #94e100;}

.woocommerce-info a, .woocommerce-message a {
    /* color: #fff; */
    text-decoration: none;
    order: 11;
    margin-left: 30px;
}

.woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout {width: 100%;}

.woocommerce-error {
    padding: 15px;
    margin-bottom: 30px;
    border-radius: 5px;
    border: 1px solid #eee;
    text-align: center;
}

.woocommerce-error li {list-style: none; margin-bottom: 7px !important;}
.woocommerce-error li:last-child {margin-bottom: 0 !important;}




/* Избранное */

.yith-wcwl-add-to-wishlist {margin-top: 15px !important; width: 100%; text-align: center; border: 1px solid #01a7e5; padding: 5px 15px; border-radius: 3px; font-size: 0.95rem;}
.yith-wcwl-add-button.show img {position: absolute;}


/* Оформление акций */

.products .product #actions {position: absolute; top: 50px; right: 5px;}
.products .product #actions img {max-width: 50px;}



/* для карусели */

.products .owl-stage {display: flex;}
.products .owl-item > * {height: 100%;}



/* Favorite */

.simplefavorite-button {position: absolute; z-index: 10; right: 25px; top: 25px; display: none; cursor: pointer;}

.woocommerce ul.products li.product > span:hover .simplefavorite-button {display: block;}

#wrapper-wc-image .simplefavorite-button {
    right: 80px;
    top: 15px;
    height: 50px;
    width: 50px;
    border: 1px solid var(--color-line);
    background: var(--color-1);
    font-size: 1.6rem;
    color: #fff;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.simplefavorite-button i {margin-right: 0;}

.favorites-list li {display: -webkit-flex; display: flex; align-items: center; position: relative;}